JSONLINT(1)

NAME
jsonlint - A JSON syntax validator and formatter tool

SYNOPSIS
jsonlint [-v][-s|-S][-f|-F][-ecodec]inputfile.json...

DESCRIPTION
This manual page documents briefly the jsonlint commands.

OPTIONS

The return status will be 0 if the file is legal JSON, or non-zero otherwise. Use -v to see the warning details.

Options are: -v, -s, -S, -f, -F, -e

-v, --verbose
    Show details of lint checking

-s, --strict
    Be strict in what is considered legal JSON (the default)

-S, --nonstrict
    Be loose in what is considered legal JSON

-f, --format
    Reformat the JSON (if legal) to stdout

-F, --format-compactly
    Reformat the JSON similar to -f, but do so compactly by removing all unnecessary whitespace

-e codec, --encoding=codec

--input-encoding=codec --output-encoding=codec
    Set the input and output character encoding codec (e.g., ascii, utf8, utf-16). The -e will set both the input and output encodings to the same thing. If not supplied, the input encoding is guessed according to the JSON specification. The output encoding defaults to UTF-8, and is used when reformatting (via the -f or -F options).

    When reformatting, all members of objects (associative arrays) are always output in lexigraphical sort order. The default output codec is UTF-8, unless the -e option is provided. Any Unicode characters will be output as literal characters if the encoding permits, otherwise they will be -escaped. You can use "-e ascii" to force all Unicode characters to be escaped.

AUTHOR
jsonlint was written by Deron Meranda <deron.meranda@gmail.com>.

This manual page was written by TANIGUCHI Takaki <takaki@debian.org>, for the Debian project (and may be used by others).